# Luakit Documentation / Classes / widget:socket

# Class `widget:socket`

Socket widget
This module is only available from the UI process Lua state.

The socket widget allows displaying a window from an XEMBED client within the luakit user interface.

## Properties

### socket.id

Type: integer
Read-write
When reading, this returns the window ID of this socket widget. When writing, this adds an XEMBED client with the given window ID to the socket.

### socket.plugged

Type: boolean
Read-only
Whether a client window is currently plugged into this socket.

## Signals

### "plug-added"

Emitted when a client window is added to the socket.

### "plug-removed"

Emitted when a client window is removed from the socket.

## Attribution

#### Copyright

- 2010 Mason Larobina